<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>CBUFF_HwSessionCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CBUFF_HwSessionCfg_t Struct Reference<div class="ingroups"><a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r.html">CBUFF Driver</a> &raquo; <a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">CBUFF Driver External Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>CBUFF Hardware Triggered Session configuration.  
 <a href="struct_c_b_u_f_f___hw_session_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;drivers/cbuff/cbuff.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a949de21eb252a5a20ec3b517aeeede66"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a949de21eb252a5a20ec3b517aeeede66"></a>
ADCBuf_Handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_b_u_f_f___hw_session_cfg__t.html#a949de21eb252a5a20ec3b517aeeede66">adcBufHandle</a></td></tr>
<tr class="memdesc:a949de21eb252a5a20ec3b517aeeede66"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADCBUF Driver Handle: Ensure that the ADC Channels are enabled and configured. <br /></td></tr>
<tr class="separator:a949de21eb252a5a20ec3b517aeeede66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35788cc4c7109aa21a43377f21d4e3a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35788cc4c7109aa21a43377f21d4e3a5"></a>
<a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3dbba39d5405f64483b8c24a95a1d4a9">CBUFF_DataFmt</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_b_u_f_f___hw_session_cfg__t.html#a35788cc4c7109aa21a43377f21d4e3a5">dataFormat</a></td></tr>
<tr class="memdesc:a35788cc4c7109aa21a43377f21d4e3a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data Format: This is used to describe the format of the data which is being sent out via the HSI. <br /></td></tr>
<tr class="separator:a35788cc4c7109aa21a43377f21d4e3a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a123f95f36ba8fc4e2b6229424dd9ac1d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a123f95f36ba8fc4e2b6229424dd9ac1d"></a>
<a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga693822fc9bb369d59d5a0d7e16b5328a">CBUFF_DataMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_b_u_f_f___hw_session_cfg__t.html#a123f95f36ba8fc4e2b6229424dd9ac1d">dataMode</a></td></tr>
<tr class="memdesc:a123f95f36ba8fc4e2b6229424dd9ac1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADC Buffer data storage mode: Interleaved or Non-Interleaved This is only used if the data format is configured to send out ADC Data. <br /></td></tr>
<tr class="separator:a123f95f36ba8fc4e2b6229424dd9ac1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5afe3d9bec839cc3fa25b295296fd3a9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5afe3d9bec839cc3fa25b295296fd3a9"></a>
<a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gafddf1b4d6e759454ab9fb770f4e22fbc">CBUFF_OperationalMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_b_u_f_f___hw_session_cfg__t.html#a5afe3d9bec839cc3fa25b295296fd3a9">opMode</a></td></tr>
<tr class="memdesc:a5afe3d9bec839cc3fa25b295296fd3a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Operational mode for the driver: <br /></td></tr>
<tr class="separator:a5afe3d9bec839cc3fa25b295296fd3a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2ad303c7f0d5be3dbe853ccd837da46"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_b_u_f_f___hw_session_cfg__t.html#aa2ad303c7f0d5be3dbe853ccd837da46">numChirpsPerFrame</a></td></tr>
<tr class="memdesc:aa2ad303c7f0d5be3dbe853ccd837da46"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field is described as follows:-.  <a href="#aa2ad303c7f0d5be3dbe853ccd837da46">More...</a><br /></td></tr>
<tr class="separator:aa2ad303c7f0d5be3dbe853ccd837da46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe889c2c479274229d0606f0810f6adb"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_b_u_f_f___hw_session_cfg__t.html#afe889c2c479274229d0606f0810f6adb">chirpMode</a></td></tr>
<tr class="memdesc:afe889c2c479274229d0606f0810f6adb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field is described as follows:-.  <a href="#afe889c2c479274229d0606f0810f6adb">More...</a><br /></td></tr>
<tr class="separator:afe889c2c479274229d0606f0810f6adb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a044da683ecc14ed994b3bc791b1efe7c"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_b_u_f_f___hw_session_cfg__t.html#a044da683ecc14ed994b3bc791b1efe7c">numADCSamples</a></td></tr>
<tr class="memdesc:a044da683ecc14ed994b3bc791b1efe7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field is described as follows:-.  <a href="#a044da683ecc14ed994b3bc791b1efe7c">More...</a><br /></td></tr>
<tr class="separator:a044da683ecc14ed994b3bc791b1efe7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1e83c631a7183df3b66d9d6816737d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad1e83c631a7183df3b66d9d6816737d7"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_b_u_f_f___hw_session_cfg__t.html#ad1e83c631a7183df3b66d9d6816737d7">cqSize</a> [ADCBufMMWave_CQType_MAX_CQ]</td></tr>
<tr class="memdesc:ad1e83c631a7183df3b66d9d6816737d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Chirp Quality Size: The size is specified in CBUFF units If the size is set to 0; CQx is ignored. <br /></td></tr>
<tr class="separator:ad1e83c631a7183df3b66d9d6816737d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad05a37bc3c2d5644a7c25f5ca16302fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad05a37bc3c2d5644a7c25f5ca16302fa"></a>
<a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga927fdc46dcc6f3a75269447ce9f8c74e">CBUFF_BufferCfg</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_b_u_f_f___hw_session_cfg__t.html#ad05a37bc3c2d5644a7c25f5ca16302fa">userBufferInfo</a> [<a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n.html#gaae9f3290dfcff82d624a816f6a953c94">CBUFF_MAX_USER_BUFFER</a>]</td></tr>
<tr class="memdesc:ad05a37bc3c2d5644a7c25f5ca16302fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">User supplied data buffers which can be transmitted over the interface. <br /></td></tr>
<tr class="separator:ad05a37bc3c2d5644a7c25f5ca16302fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>CBUFF Hardware Triggered Session configuration. </p>
<p>The structure describes the configuration required to be specified if the session is created in hardware triggered mode. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="afe889c2c479274229d0606f0810f6adb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CBUFF_HwSessionCfg_t::chirpMode</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This field is described as follows:-. </p>
<ul>
<li>Single Chirp Mode : Set this to 1</li>
<li>Multi-Chirp Mode : Set this between 2 to 8</li>
<li>Continuous Mode : Set this to 0</li>
</ul>
<p><em>NOTE</em>: Multi-Chirp mode is only supported on the XWR16xx. </p>

</div>
</div>
<a class="anchor" id="a044da683ecc14ed994b3bc791b1efe7c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t CBUFF_HwSessionCfg_t::numADCSamples</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This field is described as follows:-. </p>
<ul>
<li>Chirp Mode : This is the number of ADC samples per chirp per channel</li>
<li>Continuous Mode : This is the number of samples per channel which is configured in the ADC Buffer</li>
</ul>
<p>This is only used if the data format is configured to send out ADC data. </p>

</div>
</div>
<a class="anchor" id="aa2ad303c7f0d5be3dbe853ccd837da46"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CBUFF_HwSessionCfg_t::numChirpsPerFrame</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This field is described as follows:-. </p>
<ul>
<li>Chirp Mode : Number of chirps per frame</li>
<li>Continuous Mode: This field is ignored </li>
</ul>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>drivers/cbuff/<a class="el" href="cbuff_8h.html">cbuff.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
